include:
  - project: 'mro/common/tools/gitlab-ci-utils'
    file: 'ci/scripts/gitlab-ci-artifacts.yml'
  - project: 'mro/common/tools/gitlab-ci-utils'
    file: 'ci/scripts/gitlab-ci-docker.yml'

stages:
  - build
  - deploy

docker:
  stage: build
  extends: .docker-builder
  variables:
    IMAGE: "$CI_REGISTRY_IMAGE"
    DOCKERFILE: "Dockerfile"

containers:
  stage: build
  extends: .docker-builder
  parallel:
    matrix:
      - TARGET: [ "ci-artifacts", "cxx-deb" ]
  variables:
    IMAGE: "$CI_REGISTRY_IMAGE/${TARGET}"
    DOCKERFILE: "Dockerfile-${TARGET}"

docker-test:
  stage: build
  extends: .docker-builder
  variables:
    IMAGE: "${CI_REGISTRY_IMAGE}:test"
    DOCKERFILE: "Dockerfile"
    DOCKER_ARGS: --no-push
  rules:
    - if: $CI_COMMIT_BRANCH != $CI_DEFAULT_BRANCH

